<?php

namespace App\Generated\V1\Messages\User;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class StoreSelfPartnerMessage extends Message
{
    use ValueHelper;

    protected $mediaId;
    protected $result;

    /**
     * @return string|null
     */
    public function getMediaId()
    {
        return $this->mediaId;
    }

    public function requestRules()
    {
        return [
            ['mediaId', 'media_id', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
